//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
//* * * * * * * * * * * * * * * * * * * * * * * * * * * *  COPYRIGHT CACIDI SYSTEMS 2021 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

var startPath= Folder.desktop;
var descfile=new File(startPath+"/imageboundsdata.txt");


try{
var myResult = descfile.open("r", undefined, undefined); 
data=descfile.read();
descfile.close();
dataParts=data.split("\n");
var twoArray=[[]];
for(var x = 0; x < dataParts.length; x++) {
    var lineparts=dataParts[x].split("\t");
    twoArray[x]=lineparts;
}
}
catch(e){
    alert("The Bound file can't be found!");
    exit;
};

//exit;
var rect = app.activeDocument.rectangles,
    imgs,
    filePath,
    hasImages = false;
    var imagelist="";
for(var i = 0; i < rect.length; i++) {
    var mainBounds=rect[i].geometricBounds;

    imgs = rect[i].images;
    var orgPersData=rect[i].exsqlData;         
    mPersDataParts=orgPersData.split("***DelPart***");
    var currRecord=mPersDataParts[1];

    if( imgs.length > 0) {

      hasImages = true;
      for (var j = 0; j < imgs.length; j++) {

        var currImageName=imgs[j].itemLink.name;
        var bbox=imgs[j].geometricBounds;

        var bboxnew=getOldBB(currRecord,currImageName);
        //alert(bbox);
        if(bbox!=null){
            //alert(bboxnew[0]);
            bbox[1]=(bboxnew[1]*1)+mainBounds[1];
            bbox[0]=(bboxnew[0]*1)+mainBounds[0];
            bbox[3]=(bboxnew[3]*1)+bbox[1];
            bbox[2]=(bboxnew[2]*1)+bbox[0];

            //var width=(bbox[3]-bbox[1]);
            //var height=(bbox[2]-bbox[0]);
  
            imgs[j].geometricBounds=bbox;

        }

          


      }
   }
} 

if(!hasImages) {
   alert('No images in document');
}

//alert(imagelist);


alert("Bounds Applied!")

function getOldBB(recordID,imageName)
{
     for (var z = 0; z < twoArray.length; z++)
     {
        if((twoArray[z][0]==imageName)&&(twoArray[z][1]==recordID)){
            return twoArray[z][2].split(",");


        }
     }

return null;
}