//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
//* * * * * * * * * * * * * * * * * * * * * * * * * * * *  COPYRIGHT CACIDI SYSTEMS 2021 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

var startPath= Folder.desktop;
var descfile=new File(startPath+"/imageboundsdata.txt");


var rect = app.activeDocument.rectangles,
    imgs,
    filePath,
    hasImages = false;
    var imagelist="";
for(var i = 0; i < rect.length; i++) {
    var mainBounds=rect[i].geometricBounds;

    imgs = rect[i].images;
    var orgPersData=rect[i].exsqlData;         
    mPersDataParts=orgPersData.split("***DelPart***");
    var mRecord=mPersDataParts[1];

    if( imgs.length > 0) {

      hasImages = true;
      for (var j = 0; j < imgs.length; j++) {
        if(imagelist!="")
        imagelist+="\r";

          imagelist+=imgs[j].itemLink.name+"\t";
          var bbox=imgs[j].geometricBounds;
          var leftPos=bbox[1]-mainBounds[1];
          var topPos=bbox[0]-mainBounds[0];
          var width=(bbox[3]-bbox[1]);
          var height=(bbox[2]-bbox[0]);

          //newData+="["+leftPos+","+topPos+","+width+","+height+"]";
          //imagelist+=mRecord + "\t"+topPos+","+ leftPos+","+height+","+ width+"]";
          imagelist+=mRecord + "\t"+topPos+","+ leftPos+","+height+","+ width;



      }
   }
} 

if(!hasImages) {
   alert('No images in document');
}

//alert(imagelist);


var mFile=new File(descfile);
var myResult = mFile.open("w"); 
var myResult2=mFile.write(imagelist);
descfile.close();

alert("Bounds extracted!")
